%global project wondershaper
%global owner magnific0
%global repo %{project}
%global _commit 98792b55c2ebf4ab4cafffb0780e0c4185fdc03d
%global _shortcommit %(c=%{_commit}; echo ${c:0:7})
%global _version 1.4.1
%global _rel 0
%global _iteration 4


Name:		wondershaper
Version:	%{_version}
Release:	%{_iteration}.git%{_shortcommit}%{?dist}
Summary:	Simple Network Shaper
License:	GPLv2+
URL:		https://github.com/%{owner}/%{project}
Source:		https://github.com/%{owner}/%{project}/archive/%{_commit}.zip
Requires:	iproute
Requires:	kernel-modules-extra
BuildArch:	noarch

### DMN 2023-04-17
BuildRequires:	systemd-rpm-macros

%description
Many cable-modem and ADSL users experience horrifying latency
while uploading or downloading. They also notice that uploading
hampers downloading greatly. The Wondershaper neatly addresses
these issues, allowing users of a router with a Wondershaper to
continue using SSH over a loaded link happily.

%prep
%setup -q -n %{name}-%{_commit}
### DMN 2023-04-17
sed -i 's|/etc/systemd/|/etc/|g' %{name}.service

%build
# Nothing to build.

%install
%{__install} -pDm 0755 %{name} %{buildroot}%{_sbindir}/%{name}
%{__install} -pDm 0644 %{name}.service %{buildroot}%{_unitdir}/%{name}.service
%{__install} -pDm 0644 %{name}.conf %{buildroot}%{_sysconfdir}/%{name}.conf

%post
%systemd_post %{name}.service

%preun
%systemd_preun %{name}.service

%postun
%systemd_postun_with_restart %{name}.service

%files
%doc ChangeLog README.md
%license COPYING
%{_sbindir}/%{name}
%{_unitdir}/%{name}.service
%config %{_sysconfdir}/%{name}.conf

%changelog

* Mon Apr 17 2023 ifas <itsupport+copr@irc.vib-ugent.be> - %%{_version}-%%{_iteration}.git%%{_shortcommit}
- Release %%{_version}-current

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sat Jan 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Jan 31 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sat Jul 27 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Feb 03 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Aug 8 2015 Mosaab Alzoubi <moceap@hotmail.com> - 1.2.1-5
- Fix #1209243
- Use %%license

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Nov 20 2013 Mosaab Alzoubi <moceap@hotmail.com> - 1.2.1-2
- Fix package git commit.

* Tue Nov 19 2013 Mosaab Alzoubi <moceap@hotmail.com> - 1.2.1-1
- Update to 1.2.1 .
- Replace URL with main program page.
- General tweaks.
- Remove VERSION file from %%doc.

* Fri Oct 18 2013 Mosaab Alzoubi <moceap@hotmail.com> - 1.2-3
- Remove permissions line.

* Fri Oct 18 2013 Mosaab Alzoubi <moceap@hotmail.com> - 1.2-2
- To zero warnings by rpmlint.

* Thu Oct 10 2013 Mosaab Alzoubi <moceap@hotmail.com> - 1.2-1
- NG of wondershaper , update to version 1.2

* Thu Oct 10 2013 Mosaab Alzoubi <moceap@hotmail.com> - 1.1a-6
- Fixes to be compatible with Fedora rules.

* Sun Sep 23 2012 Muhammad Shaban <Mr.Muhammad@linuxac.org> - 1.1a-5.1
- Initial build for Kenzi.

* Thu Aug 7 2008 Marek Mahut <mmahut@fedoraproject.org> - 1.1a-2
- Initial package release.
